devplugin

## Interface ProgramReceiveIf

- All Superinterfaces:
    java.lang.Comparable<ProgramReceiveIf>
  All Known Subinterfaces:
    PluginAccess, PluginProxy
  All Known Implementing Classes:
    AbstractInternalPluginProxy, AbstractPluginProxy, BeanShellPluginProxy, DummyPlugin, FavoritesPluginProxy, JavaPluginProxy, Plugin, ProgramInfoProxy, ReminderPluginProxy, SearchPluginProxy

      public interface ProgramReceiveIf
      extends java.lang.Comparable<ProgramReceiveIf>

  A interface for an object that supports receiving programs.
  Author:
    René Mach

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canReceiveProgramsWithTarget()` Gets whether the ProgramReceiveIf supports receiving programs from other plugins with a special target.
    `java.lang.String` | `getId()`
    `ProgramReceiveTarget[]` | `getProgramReceiveTargets()` Returns an array of receive targets or `null` if there is no target
    `boolean` | `receivePrograms(Program[] programArr, ProgramReceiveTarget receiveTarget)` Receives a list of programs from another plugin with a target.
    `boolean` | `receiveValues(java.lang.String[] values, ProgramReceiveTarget receiveTarget)` Receives a list of Strings from another plugin with a target.

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### canReceiveProgramsWithTarget

          boolean canReceiveProgramsWithTarget()

      Gets whether the ProgramReceiveIf supports receiving programs from other plugins with a special target.
      Returns:
        Whether the ProgramReceiveIf supports receiving programs from other plugins with a special target.
      Since:
        2.5
      See Also:
        `receivePrograms(Program[],ProgramReceiveTarget)`

    - #### receivePrograms

          boolean receivePrograms(Program[] programArr,
                                ProgramReceiveTarget receiveTarget)

      Receives a list of programs from another plugin with a target.
      Parameters:
        `programArr` - The programs passed from the other plugin.
        `receiveTarget` - The receive target of the programs.
      Returns:
        `true`, if the programs were correctly received and the target really exists.
      Since:
        2.5
      See Also:
        `canReceiveProgramsWithTarget()`

    - #### getProgramReceiveTargets

          ProgramReceiveTarget[] getProgramReceiveTargets()

      Returns an array of receive targets or `null` if there is no target
      Returns:
        The supported receive targets.
      Since:
        2.5
      See Also:
        `canReceiveProgramsWithTarget()`, `receivePrograms(Program[],ProgramReceiveTarget)`

    - #### receiveValues

          boolean receiveValues(java.lang.String[] values,
                              ProgramReceiveTarget receiveTarget)

      Receives a list of Strings from another plugin with a target.
      Parameters:
        `values` - The value array passed from the other plugin.
        `receiveTarget` - The receive target of the programs.
      Returns:
        `True` if the value array was handled correct, false otherwise.
      Since:
        2.7
      See Also:
        `canReceiveProgramsWithTarget()`

    - #### getId

          java.lang.String getId()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)